<!DOCTYPE html>
<html lang="en">
  <head>
    <title>IOVideoCaptureUnit Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
    <script src="../js/lunr.min.js" defer></script>
    <script src="../js/typeahead.jquery.js" defer></script>
    <script src="../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Class/IOVideoCaptureUnit" class="dashAnchor"></a>
    <a title="IOVideoCaptureUnit Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">HaishinKit 1.8.0 Docs</a> (88% documented)</p>
        <div class="header-right">
          <form role="search" action="../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">HaishinKit Reference</a>
        <img id="carat" src="../img/carat.png" alt=""/>
        IOVideoCaptureUnit Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/ByteArray.html">ByteArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ByteArray/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event.html">Event</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/EventDispatcher.html">EventDispatcher</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOAudioCaptureUnit.html">IOAudioCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream.html">IOStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream/ReadyState.html">– ReadyState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamBitRateStrategy.html">IOStreamBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder.html">IOStreamRecorder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamVideoAdaptiveBitRateStrategy.html">IOStreamVideoAdaptiveBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOVideoCaptureUnit.html">IOVideoCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/InstanceHolder.html">InstanceHolder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MTHKView.html">MTHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetClient.html">NetClient</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetService.html">NetService</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetSocket.html">NetSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection.html">RTMPConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPResponder.html">RTMPResponder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPSharedObject.html">RTMPSharedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream.html">RTMPStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/HowToPublish.html">– HowToPublish</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTConnection.html">SRTConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTLogger.html">SRTLogger</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTStream.html">SRTStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSReader.html">TSReader</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSWriter.html">TSWriter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/VideoEffect.html">VideoEffect</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Global%20Variables.html">Global Variables</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Global%20Variables.html#/s:10HaishinKit12kASUndefinedAA0C0Vvp">kASUndefined</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil.html">FeatureUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioMixerError.html">IOAudioMixerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioUnitError.html">IOAudioUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOVideoUnitError.html">IOVideoUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/ImageTransform.html">ImageTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RTMPObjectEncoding.html">RTMPObjectEncoding</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogFunctionalArea.html">SRTLogFunctionalArea</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogLevel.html">SRTLogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTMode.html">SRTMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTSocketOption.html">SRTSocketOption</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:13SRTHaishinKit9SRTSocketC">SRTSocket</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/EventDispatcherConvertible.html">EventDispatcherConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOMuxer.html">IOMuxer</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamBitRateStrategyConvertible.html">IOStreamBitRateStrategyConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamDelegate.html">IOStreamDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamObserver.html">IOStreamObserver</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamRecorderDelegate.html">IOStreamRecorderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamView.html">IOStreamView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/RTMPConnectionDelegate.html">RTMPConnectionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/Running.html">Running</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSReaderDelegate.html">TSReaderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSWriterDelegate.html">TSWriterDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/ASArray.html">ASArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASTypedObject.html">ASTypedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASUndefined.html">ASUndefined</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXML.html">ASXML</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXMLDocument.html">ASXMLDocument</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Atomic.html">Atomic</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/AudioCodecSettings.html">AudioCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerSettings.html">IOAudioMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerTrackSettings.html">IOAudioMixerTrackSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOStreamBitRateStats.html">IOStreamBitRateStats</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings.html">IOVideoMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings/Mode.html">– Mode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/RTMPStreamInfo.html">RTMPStreamInfo</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SRTPerformanceData.html">SRTPerformanceData</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SoundTransform.html">SoundTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VTSessionOption.html">VTSessionOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings.html">VideoCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/BitRateMode.html">– BitRateMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/ScalingMode.html">– ScalingMode</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit8ASObjecta">ASObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOAudioCaptureConfigurationBlocka">IOAudioCaptureConfigurationBlock</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOVideoCaptureConfigurationBlocka">IOVideoCaptureConfigurationBlock</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>IOVideoCaptureUnit</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">@available(tvOS 17.0, *)</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">IOVideoCaptureUnit</span> <span class="p">:</span> <span class="kt">IOCaptureUnit</span></code></pre>

                </div>
              </div>
            <p>An object that provides the interface to control the AVCaptureDevice&rsquo;s transport behavior.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC6Outputa"></a>
                    <a name="//apple_ref/swift/Alias/Output" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC6Outputa">Output</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">typealias</span> <span class="kt">Output</span> <span class="o">=</span> <span class="kt">AVCaptureVideoDataOutput</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC11colorFormats6UInt32VvpZ"></a>
                    <a name="//apple_ref/swift/Variable/colorFormat" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC11colorFormats6UInt32VvpZ">colorFormat</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The default color format.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">static</span> <span class="k">let</span> <span class="nv">colorFormat</span><span class="p">:</span> <span class="kt">OSType</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Variable/colorFormat" class="dashAnchor"></a>
                    <a class="token" href="#/">colorFormat</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The default color format.</p>

                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC6deviceSo15AVCaptureDeviceCSgvp"></a>
                    <a name="//apple_ref/swift/Property/device" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC6deviceSo15AVCaptureDeviceCSgvp">device</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The current video device object.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">private(set)</span> <span class="k">var</span> <span class="nv">device</span><span class="p">:</span> <span class="kt">AVCaptureDevice</span><span class="p">?</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC11colorFormats6UInt32Vvp"></a>
                    <a name="//apple_ref/swift/Property/colorFormat" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC11colorFormats6UInt32Vvp">colorFormat</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Specifies the video capture color format.</p>
<div class="aside aside-warning">
    <p class="aside-title">Warning</p>
    If a format other than kCVPixelFormatType_32BGRA is set, the multi-camera feature will become unavailable. We intend to support this in the future.

</div>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">colorFormat</span><span class="p">:</span> <span class="kt">OSType</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC5tracks5UInt8Vvp"></a>
                    <a name="//apple_ref/swift/Property/track" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC5tracks5UInt8Vvp">track</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The track number.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">let</span> <span class="nv">track</span><span class="p">:</span> <span class="kt">UInt8</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC5inputSo14AVCaptureInputCSgvp"></a>
                    <a name="//apple_ref/swift/Property/input" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC5inputSo14AVCaptureInputCSgvp">input</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The input data to a cupture session.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">private(set)</span> <span class="k">var</span> <span class="nv">input</span><span class="p">:</span> <span class="kt">AVCaptureInput</span><span class="p">?</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC6outputSo24AVCaptureVideoDataOutputCSgvp"></a>
                    <a name="//apple_ref/swift/Property/output" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC6outputSo24AVCaptureVideoDataOutputCSgvp">output</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The output data to a sample buffers.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">private(set)</span> <span class="k">var</span> <span class="nv">output</span><span class="p">:</span> <span class="kt"><a href="../Classes/IOVideoCaptureUnit.html#/s:10HaishinKit18IOVideoCaptureUnitC6Outputa">Output</a></span><span class="p">?</span> <span class="p">{</span> <span class="k">get</span> <span class="k">set</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC10connectionSo19AVCaptureConnectionCSgvp"></a>
                    <a name="//apple_ref/swift/Property/connection" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC10connectionSo19AVCaptureConnectionCSgvp">connection</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The connection from a capture input to a capture output.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">private(set)</span> <span class="k">var</span> <span class="nv">connection</span><span class="p">:</span> <span class="kt">AVCaptureConnection</span><span class="p">?</span> <span class="p">{</span> <span class="k">get</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC16videoOrientationSo014AVCaptureVideoG0Vvp"></a>
                    <a name="//apple_ref/swift/Property/videoOrientation" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC16videoOrientationSo014AVCaptureVideoG0Vvp">videoOrientation</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Specifies the videoOrientation indicates whether to rotate the video flowing through the connection to a given orientation.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">videoOrientation</span><span class="p">:</span> <span class="kt">AVCaptureVideoOrientation</span> <span class="p">{</span> <span class="k">get</span> <span class="k">set</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit18IOVideoCaptureUnitC15isVideoMirroredSbvp"></a>
                    <a name="//apple_ref/swift/Property/isVideoMirrored" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit18IOVideoCaptureUnitC15isVideoMirroredSbvp">isVideoMirrored</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Spcifies the video mirroed indicates whether the video flowing through the connection should be mirrored about its vertical axis.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="k">var</span> <span class="nv">isVideoMirrored</span><span class="p">:</span> <span class="kt">Bool</span> <span class="p">{</span> <span class="k">get</span> <span class="k">set</span> <span class="p">}</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Property/preferredVideoStabilizationMode" class="dashAnchor"></a>
                    <a class="token" href="#/">preferredVideoStabilizationMode</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Specifies the preferredVideoStabilizationMode most appropriate for use with the connection.</p>

                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2024 <a class="link" href="https://github.com/shogo4405/HaishinKit.swift" target="_blank" rel="external noopener">shogo4405</a>. All rights reserved. (Last updated: 2024-04-22)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.4</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
